Can’t download Biomes O’ Plenty on my Mac

I have a mac (I know many people don’t think its the best for gaming) and I want to download the Biomes O’ Plenty mod. I have forge for 1.8 and 1.6.4 so it would have to be compatible for one of the 2 versions. I have tried to download the version for 1.6.4 (as I can’t find it for 1.8) onto my mac but whenever I click on the download it says “The Java JAR file “BiomesOPlenty-universal-1.6.4-1.2.1.434.jar” could not be launched. Check the Console for possible error messages.” Am I doing something wrong? Please help as this is my first mod download so I have no idea what I’m doing. Thanks.

LEAVE A REPLY

Your email address will not be published.

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

Lost Password